# angular.mock.service.$browser.xhr.expectGET

## Description

Trains browser to expect a `GET` request and respond to it.

## Usage

    $browser.xhr.expectGET(url);

### Parameters

- `url – {string} –`

  Url path for which a request is expected.

### Returns

`{object}` –

Response configuration object. You can call its `respond()` method to configure what should the browser mock return when the response is `flushed`.